local mod = ...

-- Add to beginning inventory
mod:overrideAsset({
	Id = "DEFAULT_VILLAGE_CENTER_INVENTORY",
	Collection = {
        Action = "APPEND",
        {Resource = "BERRIES", Quantity = 30},
        {Resource = "TOOL", Quantity = 20},
        {Resource = "PLANK", Quantity = 20},
    }
})



if not (foundation.isModLoaded("70a58ebc-671b-4389-843e-ae023caa6b24") then -- freeland mod
-- Reduce territory taxes
mod:overrideAsset({
	Id = "DEFAULT_BALANCING",
	TerritoryRoyalTaxesList = {
		{ { Resource = "GOLD", Quantity = 0 } },
		{ { Resource = "GOLD", Quantity = 5 } },
		{ { Resource = "GOLD", Quantity = 10 } },
		{ { Resource = "GOLD", Quantity = 15 } },
		{ { Resource = "GOLD", Quantity = 20 } },
		{ { Resource = "GOLD", Quantity = 25 } },
		{ { Resource = "GOLD", Quantity = 30 } },
		{ { Resource = "GOLD", Quantity = 35 } },
		{ { Resource = "GOLD", Quantity = 40 } },
		{ { Resource = "GOLD", Quantity = 45 } },
		{ { Resource = "GOLD", Quantity = 50 } },
	}
})
end


-- Purchase prices for goods and services
mod:overrideAsset({ Id = "FAITH", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 1 } })
mod:overrideAsset({ Id = "BERRIES", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 1 } })

mod:overrideAsset({ Id = "BV1_EGG", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 2 } })
mod:overrideAsset({ Id = "GRAPES", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 2 } })
mod:overrideAsset({ Id = "MILK", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 2 } })
mod:overrideAsset({ Id = "WOOD", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 2 } })

mod:overrideAsset({ Id = "RESOURCE_POTTERY", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 3 } })

mod:overrideAsset({ Id = "CANDLE", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 4 } })
mod:overrideAsset({ Id = "COAL", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 4 } })
mod:overrideAsset({ Id = "FISH", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 4 } })
mod:overrideAsset({ Id = "HERBS", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 4 } })
mod:overrideAsset({ Id = "LEATHER", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 4 } })
mod:overrideAsset({ Id = "RESOURCE_POULTRY", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 4 } })

mod:overrideAsset({ Id = "RESOURCE_VEGETABLE", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 6 } })
mod:overrideAsset({ Id = "RESOURCE_FRUIT", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 6 } })
mod:overrideAsset({ Id = "CHEESE", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 6 } })
mod:overrideAsset({ Id = "HONEY", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 6 } })
mod:overrideAsset({ Id = "BV1_PASTRY", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 6 } })

mod:overrideAsset({ Id = "BREAD", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 8 } })
mod:overrideAsset({ Id = "BV1_MEAT", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 8 } })
mod:overrideAsset({ Id = "RESOURCE_CIDER", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 8 } })
mod:overrideAsset({ Id = "BEER", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 8 } })

mod:overrideAsset({ Id = "BOAR", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 12 } })
mod:overrideAsset({ Id = "CLOTHES", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 12 } })
mod:overrideAsset({ Id = "COMMON_WARES", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 12 } })
mod:overrideAsset({ Id = "WINE", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 12 } })
mod:overrideAsset({ Id = "RESOURCE_FURNITURE", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 12 } })
mod:overrideAsset({ Id = "RESOURCE_SHOES", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 12 } })


mod:overrideAsset({ Id = "BV1_ELECTUARY", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 50 } })
mod:overrideAsset({ Id = "GEMS", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 100 } })
mod:overrideAsset({ Id = "JEWELRY", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 150 } })

mod:overrideAsset({ Id = "MEAL", VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 10 } }) -- game seems to double this price, so real price is 20
